public static interface FopEndpointBuilderFactory.FopBuilders
| Modifier and Type | Method and Description |
|---|---|
default FopEndpointBuilderFactory.FopEndpointBuilder |
fop(String path)
FOP (camel-fop)
Render messages into PDF and other output formats supported by Apache
FOP.
|
default FopEndpointBuilderFactory.FopEndpointBuilder |
fop(String componentName,
String path)
FOP (camel-fop)
Render messages into PDF and other output formats supported by Apache
FOP.
|
default FopEndpointBuilderFactory.FopEndpointBuilder fop(String path)
fop:outputType
Path parameter: outputType (required)
The primary output format is PDF but other output formats are also
supported.
There are 10 enums and the value can be one of: pdf, ps, pcl, png,
jpeg, svg, xml, mif, rtf, txtpath - outputTypedefault FopEndpointBuilderFactory.FopEndpointBuilder fop(String componentName, String path)
fop:outputType
Path parameter: outputType (required)
The primary output format is PDF but other output formats are also
supported.
There are 10 enums and the value can be one of: pdf, ps, pcl, png,
jpeg, svg, xml, mif, rtf, txtcomponentName - to use a custom component name for the endpoint
instead of the default namepath - outputTypeApache Camel